Subject: linux-next: build failure after merge of the mm-hotfixes tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 21 Aug 2025 16:05:15 +1000

Hi all,

After merging the mm-hotfixes tree, today's linux-next build (powerpc
allyesconfig) failed like this:

ld: mm/kasan/init.o:(.toc+0x0): undefined reference to `kasan_early_shadow_p4d'

Caused by commit

  4b99d7a3e69a ("mm: introduce and use {pgd,p4d}_populate_kernel()")

I have reverted that commit (and the following 07cf1bc1f659) for today.

-- 
Cheers,
Stephen Rothwell